org.apache.lucene.search.similarities

## Class Lambda

- java.lang.Object
- - org.apache.lucene.search.similarities.Lambda

Direct Known Subclasses:
  LambdaDF, LambdaTTF

    public abstract class Lambda
    extends Object

The lambda (λw) parameter in information-based models.

See Also:
  `IBSimilarity`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`Lambda()` Sole constructor.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Explanation` `explain(BasicStats stats)` Explains the lambda parameter.
`abstract float` `lambda(BasicStats stats)` Computes the lambda parameter.
`abstract String` `toString()` Subclasses must override this method to return the code of the lambda formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Lambda

    public Lambda()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### lambda

    public abstract float lambda(BasicStats stats)

Computes the lambda parameter.

#### explain

    public abstract Explanation explain(BasicStats stats)

Explains the lambda parameter.

#### toString

    public abstract String toString()

Subclasses must override this method to return the code of the lambda formula. Since the original paper is not very clear on this matter, and also uses the DFR naming scheme incorrectly, the codes here were chosen arbitrarily.

Overrides:
  `toString` in class `Object`